
; FASM SOURCE FILE
; http://flatassembler.net

; DirectX

; written by @L.CHEMIST (Andrey A. Meshkov)
; maalchemist@gmail.com
; maa-mail@yandex.ru

; ------------------------------------------------------------------------------

struc GUID def
{
  match d1-d2-d3-d4-d5, def
  \{
   .Data1 dd 0x\#d1
   .Data2 dw 0x\#d2
   .Data3 dw 0x\#d3
   .Data4 db 0x\#d4 shr 8, 0x\#d4 and 0FFh
   .Data5 db 0x\#d5 shr 40, 0x\#d5 shr 32 and 0FFh, 0x\#d5 shr 24 and 0FFh, 0x\#d5 shr 16 and 0FFh, 0x\#d5 shr 8 and 0FFh, 0x\#d5 and 0FFh
  \}
}

; ------------------------------------------------------------------------------

SC_CLSID_FilterGraph EQU E436EBB3-524F-11CE-9F53-0020AF0BA770
SC_IID_IGraphBuilder EQU 56A868A9-0AD4-11CE-B03A-0020AF0BA770
SC_IID_IMediaControl EQU 56A868B1-0AD4-11CE-B03A-0020AF0BA770

; ------------------------------------------------------------------------------

; IFilterGraph = interface (IUnknown)
interface I_FilterGraph,\
          QueryInterface,\
          AddRef,\
          Release,\
          AddFilter,\
          RemoveFilter,\
          EnumFilters,\
          FindFilterByName,\
          ConnectDirect,\
          Reconnect,\
          Disconnect,\
          SetDefaultSyncSource

; ------------------------------------------------------------------------------

; IGraphBuilder = interface (IFilterGraph)
interface I_GraphBuilder,\
          QueryInterface,\
          AddRef,\
          Release,\
          AddFilter,\
          RemoveFilter,\
          EnumFilters,\
          FindFilterByName,\
          ConnectDirect,\
          Reconnect,\
          Disconnect,\
          SetDefaultSyncSource,\
          Connect,\
          Render,\
          RenderFile,\
          AddSourceFilter,\
          SetLogFile,\
          Abort,\
          ShouldOperationContinue

; ------------------------------------------------------------------------------

; IMediaControl = interface (IDispatch)
interface I_MediaControl,\
          QueryInterface,\
          AddRef,\
          Release,\
          GetTypeInfoCount,\
          GetTypeInfo,\
          GetIDsOfNames,\
          Invoke,\
          Run,\
          Pause,\
          Stop,\
          GetState,\
          RenderFile,\
          AddSourceFilter,\
          get_FilterCollection,\
          get_RegFilterCollection,\
          StopWhenReady

; ------------------------------------------------------------------------------
